7 Replies Latest reply: Oct 16, 2012 9:06 AM by JasonFear
kakabeka Level 1 Level 1 (0 points)

I can't open my Mail application version 4.5

 

I downloaded the recommended Software Update sent to me from Apple on my MacAir

 

The following message flashes when I attempt to open my Mail

 

"You can't use this version of Mail with this version of Mac OSX"

 

I tried the suggestions from Apple - still no Mail


MacBook Air